﻿using Entities.SQLudeoDB;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Model.DTO
{
    public class InquiryDTO
    {
        public int Id { get;}

        public string Title { get; set; }

        public string Description { get; set; }

        public bool IsUser { get; set; }

        public InquiryTableDTO Database { get; set; }
        public SolutionDTO InquiryTable { get; set; }

        public InquiryDTO(int id, string title, string description, bool isUser, InquiryTableDTO database, SolutionDTO inquiryTable)
        {
            Id = id;
            Title = title;
            Description = description;
            IsUser = isUser;
            Database = database;
            InquiryTable = inquiryTable;
        }
    }
}
