﻿using Model.Business;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Model.DTO
{
    public class SolutionDTO
    {
        public int OwnerId { get; set; }
        public InquiryDTO Owner { get; set; }
        public string MurdererFirstName { get; set; }
        public string MurdererLastName { get; set; }
        public string MurderPlace { get; set; }
        public string MurderWeapon { get; set; }
        public string Explanation { get; set; }
        public SolutionDTO() { }
        public SolutionDTO(int ownerId, InquiryDTO owner, string murdererFirstName, string murdererLastName, string murderPlace, string murderWeapon, string explanation)
        {
            OwnerId = ownerId;
            Owner = owner;
            MurdererFirstName = murdererFirstName;
            MurdererLastName = murdererLastName;
            MurderPlace = murderPlace;
            MurderWeapon = murderWeapon;
            Explanation = explanation;
        }
        public SolutionDTO(InquiryDTO owner, string murdererFirstName, string murdererLastName, string murderPlace, string murderWeapon, string explanation)
        {
            Owner = owner;
            MurdererFirstName = murdererFirstName;
            MurdererLastName = murdererLastName;
            MurderPlace = murderPlace;
            MurderWeapon = murderWeapon;
            Explanation = explanation;
        }
    }
}
