﻿using Entities.SQLudeoDB;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Model.Business
{
    public class Solution
    {
        public int OwnerId { get; set; }
        public Inquiry Owner { get; set; }
        public string MurdererFirstName { get; set; }
        public string MurdererLastName { get; set; }
        public string MurderPlace { get; set; }
        public string MurderWeapon { get; set; }
        public string Explanation { get; set; }
        public Solution() { }
        public Solution(int ownerId, Inquiry owner, string murdererFirstName, string murdererLastName, string murderPlace, string murderWeapon, string explanation)
        {
            OwnerId = ownerId;
            Owner = owner;
            MurdererFirstName = murdererFirstName;
            MurdererLastName = murdererLastName;
            MurderPlace = murderPlace;
            MurderWeapon = murderWeapon;
            Explanation = explanation;
        }
        public Solution(Inquiry owner, string murdererFirstName, string murdererLastName, string murderPlace, string murderWeapon, string explanation)
        {
            Owner = owner;
            MurdererFirstName = murdererFirstName;
            MurdererLastName = murdererLastName;
            MurderPlace = murderPlace;
            MurderWeapon = murderWeapon;
            Explanation = explanation;
        }
    }
}
