﻿using Model.Business;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Model.DTO
{
    public class InquiryTableDTO
    {
        private Inquiry owner;

        public int OwnerId { get; set; }
        public InquiryDTO Owner { get; set; }
        public string DatabaseName { get; set; }
        public string ConnectionInfo { get; set; }

        public InquiryTableDTO() { }

        public InquiryTableDTO(int ownerId, InquiryDTO owner, string databaseName, string connectionInfo)
        {
            OwnerId = ownerId;
            Owner = owner;
            DatabaseName = databaseName;
            ConnectionInfo = connectionInfo;
        }
    }
}
